Subject: Re: [PATCH] git-remote exclude

From: Jakub Narebski <[email-masked]>
Date: Mon, 15 Jan 2007 21:10:34 +0100

Andy Parkins wrote:

> On Monday 2007 January 15 10:23, Johannes Schindelin wrote:
> 
>> But then, I don't really see _why_ you would want such a solution. After
>> all, you are more likely to be interested in _specific_ branches, rather
>> than all branches _except_ a few.
> 
> That's not true.  I have a patch (that doesn't work, so it's not submitted), 
> that would allow me to have:
> 
> [remote "origin"]
>     url = git://git2.kernel.org/pub/scm/git/git.git
>     fetch = refs/heads/*:refs/remotes/up/*
>     fetch = !refs/heads/html
>     fetch = !refs/heads/todo
> 
> i.e. I don't want those two branches, but I do want everything else.  I'd also 
> like to be able to do "!/refs/heads/temp/*" so I could block a whole 
> subdirectory of branches.  I have a feeling that this would come in handy for 
> people like the person who was recently talking about having 880 branches in 
> his repository, with only a few active.

Very good idea. I even thought that this feature is present in git
already...
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git